org.eclipse.gef.dot.internal.ui.language.contentassist

## Class AbstractDotProposalProvider

- java.lang.Object
- - org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider
  - - org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider
    - - org.eclipse.gef.dot.internal.ui.language.contentassist.AbstractDotProposalProvider

All Implemented Interfaces:
  org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalFactory, org.eclipse.xtext.ui.editor.contentassist.IContentProposalProvider

Direct Known Subclasses:
  DotProposalProvider

    public class AbstractDotProposalProvider
    extends org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider

Represents a generated, default implementation of superclass `AbstractJavaBasedContentProposalProvider`. Methods are dynamically dispatched on the first parameter, i.e., you can override them with a more concrete subtype.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider

`org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider.DefaultProposalCreator, org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider.ReferenceProposalCreator`

### Nested classes/interfaces inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider

`org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider.DefaultContentAssistProcessorSwitch, org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider.NullSafeCompletionProposalAcceptor`

### Constructor Summary

Constructors
Constructor and Description
`AbstractDotProposalProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `complete_ANY_OTHER(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_Attribute(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_AttributeType(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_AttrList(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_AttrStmt(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_COMPASS_PT(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_DotAst(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_DotGraph(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_EdgeOp(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_EdgeRhs(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_EdgeRhsNode(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_EdgeRhsSubgraph(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_EdgeStmtNode(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_EdgeStmtSubgraph(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_GraphType(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_HTML_CHARS(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_HTML_STRING(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_HTML_TAG_CLOSE(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_HTML_TAG_OPEN(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_ID(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_ML_COMMENT(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_NodeId(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_NodeStmt(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_NUMERAL(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_Port(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_QUOTED_STRING(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_SL_COMMENT(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_Stmt(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_STRING(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_Subgraph(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_SubgraphOrEdgeStmtSubgraph(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `complete_WS(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `completeAttribute_Name(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `completeAttribute_Value(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `completeAttrList_Attributes(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `completeAttrStmt_AttrLists(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `completeAttrStmt_Type(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `completeDotAst_Graphs(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `completeDotGraph_Name(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `completeDotGraph_Stmts(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `completeDotGraph_Strict(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `completeDotGraph_Type(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `completeEdgeRhsNode_Node(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `completeEdgeRhsNode_Op(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `completeEdgeRhsSubgraph_Op(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `completeEdgeRhsSubgraph_Subgraph(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `completeEdgeStmtNode_AttrLists(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `completeEdgeStmtNode_EdgeRHS(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `completeEdgeStmtNode_Node(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `completeEdgeStmtSubgraph_AttrLists(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `completeEdgeStmtSubgraph_EdgeRHS(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `completeEdgeStmtSubgraph_Subgraph(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `completeNodeId_Name(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `completeNodeId_Port(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `completeNodeStmt_AttrLists(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `completeNodeStmt_Node(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `completePort_Compass_pt(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `completePort_Name(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `completeSubgraph_Name(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `completeSubgraph_Stmts(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `completeSubgraphOrEdgeStmtSubgraph_AttrLists(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
`void` `completeSubgraphOrEdgeStmtSubgraph_EdgeRHS(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`

### Methods inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider

`announceProcessing, completeAssignment, completeKeyword, completeRuleCall, createProposals, getCrossReferenceProposalCreator, getHover, getProposalFactory, getScopeProvider, invokeMethod, lookupCrossReference, lookupCrossReference, lookupCrossReference, lookupCrossReference, lookupCrossReference, lookupCrossReference, setCrossReferenceProposalCreator, setScopeProvider`

### Methods inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider

`createCompletionProposal, createCompletionProposal, createCompletionProposal, createCompletionProposal, createSelector, doCreateProposal, doCreateProposal, getConflictHelper, getDisplayString, getImage, getKeywordDisplayString, getLabelProvider, getPriorityHelper, getQualifiedNameConverter, getStyledDisplayString, getStyledDisplayString, getValueConverter, isValidProposal, setConflictHelper, setLabelProvider, setPriorityHelper, setValueConverter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractDotProposalProvider

    public AbstractDotProposalProvider()

### Method Detail

#### completeDotAst_Graphs

    public void completeDotAst_Graphs(org.eclipse.emf.ecore.EObject model,
                                      org.eclipse.xtext.Assignment assignment,
                                      org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                      org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### completeDotGraph_Strict

    public void completeDotGraph_Strict(org.eclipse.emf.ecore.EObject model,
                                        org.eclipse.xtext.Assignment assignment,
                                        org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                        org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### completeDotGraph_Type

    public void completeDotGraph_Type(org.eclipse.emf.ecore.EObject model,
                                      org.eclipse.xtext.Assignment assignment,
                                      org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                      org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### completeDotGraph_Name

    public void completeDotGraph_Name(org.eclipse.emf.ecore.EObject model,
                                      org.eclipse.xtext.Assignment assignment,
                                      org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                      org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### completeDotGraph_Stmts

    public void completeDotGraph_Stmts(org.eclipse.emf.ecore.EObject model,
                                       org.eclipse.xtext.Assignment assignment,
                                       org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                       org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### completeEdgeStmtNode_Node

    public void completeEdgeStmtNode_Node(org.eclipse.emf.ecore.EObject model,
                                          org.eclipse.xtext.Assignment assignment,
                                          org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                          org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### completeEdgeStmtNode_EdgeRHS

    public void completeEdgeStmtNode_EdgeRHS(org.eclipse.emf.ecore.EObject model,
                                             org.eclipse.xtext.Assignment assignment,
                                             org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                             org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### completeEdgeStmtNode_AttrLists

    public void completeEdgeStmtNode_AttrLists(org.eclipse.emf.ecore.EObject model,
                                               org.eclipse.xtext.Assignment assignment,
                                               org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                               org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### completeEdgeStmtSubgraph_Subgraph

    public void completeEdgeStmtSubgraph_Subgraph(org.eclipse.emf.ecore.EObject model,
                                                  org.eclipse.xtext.Assignment assignment,
                                                  org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                  org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### completeEdgeStmtSubgraph_EdgeRHS

    public void completeEdgeStmtSubgraph_EdgeRHS(org.eclipse.emf.ecore.EObject model,
                                                 org.eclipse.xtext.Assignment assignment,
                                                 org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                 org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### completeEdgeStmtSubgraph_AttrLists

    public void completeEdgeStmtSubgraph_AttrLists(org.eclipse.emf.ecore.EObject model,
                                                   org.eclipse.xtext.Assignment assignment,
                                                   org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                   org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### completeNodeStmt_Node

    public void completeNodeStmt_Node(org.eclipse.emf.ecore.EObject model,
                                      org.eclipse.xtext.Assignment assignment,
                                      org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                      org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### completeNodeStmt_AttrLists

    public void completeNodeStmt_AttrLists(org.eclipse.emf.ecore.EObject model,
                                           org.eclipse.xtext.Assignment assignment,
                                           org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                           org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### completeAttrStmt_Type

    public void completeAttrStmt_Type(org.eclipse.emf.ecore.EObject model,
                                      org.eclipse.xtext.Assignment assignment,
                                      org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                      org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### completeAttrStmt_AttrLists

    public void completeAttrStmt_AttrLists(org.eclipse.emf.ecore.EObject model,
                                           org.eclipse.xtext.Assignment assignment,
                                           org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                           org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### completeAttrList_Attributes

    public void completeAttrList_Attributes(org.eclipse.emf.ecore.EObject model,
                                            org.eclipse.xtext.Assignment assignment,
                                            org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                            org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### completeAttribute_Name

    public void completeAttribute_Name(org.eclipse.emf.ecore.EObject model,
                                       org.eclipse.xtext.Assignment assignment,
                                       org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                       org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### completeAttribute_Value

    public void completeAttribute_Value(org.eclipse.emf.ecore.EObject model,
                                        org.eclipse.xtext.Assignment assignment,
                                        org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                        org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### completeSubgraphOrEdgeStmtSubgraph_EdgeRHS

    public void completeSubgraphOrEdgeStmtSubgraph_EdgeRHS(org.eclipse.emf.ecore.EObject model,
                                                           org.eclipse.xtext.Assignment assignment,
                                                           org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                           org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### completeSubgraphOrEdgeStmtSubgraph_AttrLists

    public void completeSubgraphOrEdgeStmtSubgraph_AttrLists(org.eclipse.emf.ecore.EObject model,
                                                             org.eclipse.xtext.Assignment assignment,
                                                             org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                             org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### completeSubgraph_Name

    public void completeSubgraph_Name(org.eclipse.emf.ecore.EObject model,
                                      org.eclipse.xtext.Assignment assignment,
                                      org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                      org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### completeSubgraph_Stmts

    public void completeSubgraph_Stmts(org.eclipse.emf.ecore.EObject model,
                                       org.eclipse.xtext.Assignment assignment,
                                       org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                       org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### completePort_Compass_pt

    public void completePort_Compass_pt(org.eclipse.emf.ecore.EObject model,
                                        org.eclipse.xtext.Assignment assignment,
                                        org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                        org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### completePort_Name

    public void completePort_Name(org.eclipse.emf.ecore.EObject model,
                                  org.eclipse.xtext.Assignment assignment,
                                  org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                  org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### completeEdgeRhsNode_Op

    public void completeEdgeRhsNode_Op(org.eclipse.emf.ecore.EObject model,
                                       org.eclipse.xtext.Assignment assignment,
                                       org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                       org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### completeEdgeRhsNode_Node

    public void completeEdgeRhsNode_Node(org.eclipse.emf.ecore.EObject model,
                                         org.eclipse.xtext.Assignment assignment,
                                         org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                         org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### completeEdgeRhsSubgraph_Op

    public void completeEdgeRhsSubgraph_Op(org.eclipse.emf.ecore.EObject model,
                                           org.eclipse.xtext.Assignment assignment,
                                           org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                           org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### completeEdgeRhsSubgraph_Subgraph

    public void completeEdgeRhsSubgraph_Subgraph(org.eclipse.emf.ecore.EObject model,
                                                 org.eclipse.xtext.Assignment assignment,
                                                 org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                 org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### completeNodeId_Name

    public void completeNodeId_Name(org.eclipse.emf.ecore.EObject model,
                                    org.eclipse.xtext.Assignment assignment,
                                    org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                    org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### completeNodeId_Port

    public void completeNodeId_Port(org.eclipse.emf.ecore.EObject model,
                                    org.eclipse.xtext.Assignment assignment,
                                    org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                    org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_DotAst

    public void complete_DotAst(org.eclipse.emf.ecore.EObject model,
                                org.eclipse.xtext.RuleCall ruleCall,
                                org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_DotGraph

    public void complete_DotGraph(org.eclipse.emf.ecore.EObject model,
                                  org.eclipse.xtext.RuleCall ruleCall,
                                  org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                  org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_Stmt

    public void complete_Stmt(org.eclipse.emf.ecore.EObject model,
                              org.eclipse.xtext.RuleCall ruleCall,
                              org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                              org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_EdgeStmtNode

    public void complete_EdgeStmtNode(org.eclipse.emf.ecore.EObject model,
                                      org.eclipse.xtext.RuleCall ruleCall,
                                      org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                      org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_EdgeStmtSubgraph

    public void complete_EdgeStmtSubgraph(org.eclipse.emf.ecore.EObject model,
                                          org.eclipse.xtext.RuleCall ruleCall,
                                          org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                          org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_NodeStmt

    public void complete_NodeStmt(org.eclipse.emf.ecore.EObject model,
                                  org.eclipse.xtext.RuleCall ruleCall,
                                  org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                  org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_AttrStmt

    public void complete_AttrStmt(org.eclipse.emf.ecore.EObject model,
                                  org.eclipse.xtext.RuleCall ruleCall,
                                  org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                  org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_AttrList

    public void complete_AttrList(org.eclipse.emf.ecore.EObject model,
                                  org.eclipse.xtext.RuleCall ruleCall,
                                  org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                  org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_Attribute

    public void complete_Attribute(org.eclipse.emf.ecore.EObject model,
                                   org.eclipse.xtext.RuleCall ruleCall,
                                   org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                   org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_SubgraphOrEdgeStmtSubgraph

    public void complete_SubgraphOrEdgeStmtSubgraph(org.eclipse.emf.ecore.EObject model,
                                                    org.eclipse.xtext.RuleCall ruleCall,
                                                    org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                    org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_Subgraph

    public void complete_Subgraph(org.eclipse.emf.ecore.EObject model,
                                  org.eclipse.xtext.RuleCall ruleCall,
                                  org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                  org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_Port

    public void complete_Port(org.eclipse.emf.ecore.EObject model,
                              org.eclipse.xtext.RuleCall ruleCall,
                              org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                              org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_EdgeRhs

    public void complete_EdgeRhs(org.eclipse.emf.ecore.EObject model,
                                 org.eclipse.xtext.RuleCall ruleCall,
                                 org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                 org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_EdgeRhsNode

    public void complete_EdgeRhsNode(org.eclipse.emf.ecore.EObject model,
                                     org.eclipse.xtext.RuleCall ruleCall,
                                     org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                     org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_EdgeRhsSubgraph

    public void complete_EdgeRhsSubgraph(org.eclipse.emf.ecore.EObject model,
                                         org.eclipse.xtext.RuleCall ruleCall,
                                         org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                         org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_NodeId

    public void complete_NodeId(org.eclipse.emf.ecore.EObject model,
                                org.eclipse.xtext.RuleCall ruleCall,
                                org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_ID

    public void complete_ID(org.eclipse.emf.ecore.EObject model,
                            org.eclipse.xtext.RuleCall ruleCall,
                            org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                            org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_EdgeOp

    public void complete_EdgeOp(org.eclipse.emf.ecore.EObject model,
                                org.eclipse.xtext.RuleCall ruleCall,
                                org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_GraphType

    public void complete_GraphType(org.eclipse.emf.ecore.EObject model,
                                   org.eclipse.xtext.RuleCall ruleCall,
                                   org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                   org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_AttributeType

    public void complete_AttributeType(org.eclipse.emf.ecore.EObject model,
                                       org.eclipse.xtext.RuleCall ruleCall,
                                       org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                       org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_NUMERAL

    public void complete_NUMERAL(org.eclipse.emf.ecore.EObject model,
                                 org.eclipse.xtext.RuleCall ruleCall,
                                 org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                 org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_COMPASS_PT

    public void complete_COMPASS_PT(org.eclipse.emf.ecore.EObject model,
                                    org.eclipse.xtext.RuleCall ruleCall,
                                    org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                    org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_STRING

    public void complete_STRING(org.eclipse.emf.ecore.EObject model,
                                org.eclipse.xtext.RuleCall ruleCall,
                                org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_QUOTED_STRING

    public void complete_QUOTED_STRING(org.eclipse.emf.ecore.EObject model,
                                       org.eclipse.xtext.RuleCall ruleCall,
                                       org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                       org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_HTML_STRING

    public void complete_HTML_STRING(org.eclipse.emf.ecore.EObject model,
                                     org.eclipse.xtext.RuleCall ruleCall,
                                     org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                     org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_HTML_TAG_OPEN

    public void complete_HTML_TAG_OPEN(org.eclipse.emf.ecore.EObject model,
                                       org.eclipse.xtext.RuleCall ruleCall,
                                       org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                       org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_HTML_TAG_CLOSE

    public void complete_HTML_TAG_CLOSE(org.eclipse.emf.ecore.EObject model,
                                        org.eclipse.xtext.RuleCall ruleCall,
                                        org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                        org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_HTML_CHARS

    public void complete_HTML_CHARS(org.eclipse.emf.ecore.EObject model,
                                    org.eclipse.xtext.RuleCall ruleCall,
                                    org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                    org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_ML_COMMENT

    public void complete_ML_COMMENT(org.eclipse.emf.ecore.EObject model,
                                    org.eclipse.xtext.RuleCall ruleCall,
                                    org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                    org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_SL_COMMENT

    public void complete_SL_COMMENT(org.eclipse.emf.ecore.EObject model,
                                    org.eclipse.xtext.RuleCall ruleCall,
                                    org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                    org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_WS

    public void complete_WS(org.eclipse.emf.ecore.EObject model,
                            org.eclipse.xtext.RuleCall ruleCall,
                            org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                            org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

#### complete_ANY_OTHER

    public void complete_ANY_OTHER(org.eclipse.emf.ecore.EObject model,
                                   org.eclipse.xtext.RuleCall ruleCall,
                                   org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                   org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)